- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
RagTime5StructManager::FieldParser Struct Reference

virtual class use to parse the field data More...

`#include <RagTime5StructManager.hxx>`

Inheritance diagram for RagTime5StructManager::FieldParser:

## Public Member Functions
| FieldParser (std::string const &zoneName)
| constructor More...
virtual | ~FieldParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...
virtual bool | parseField (Field &field, RagTime5Zone &, int, libmwaw::DebugStream &f)
| parse a field More...

## Public Attributes
bool | m_regroupFields
| a flag use to decide if we output one debug message by field or not More...

## Protected Attributes
std::string | m_name
| the field name More...

## Private Member Functions
| FieldParser (FieldParser const &orig)
FieldParser & | operator= (FieldParser const &orig)

## Detailed Description

virtual class use to parse the field data

## Constructor & Destructor Documentation

RagTime5StructManager::FieldParser::FieldParser | ( | std::string const & | zoneName | ) |
| inline

constructor

virtual RagTime5StructManager::FieldParser::~FieldParser | ( |  | ) |
| inline virtual

destructor

RagTime5StructManager::FieldParser::FieldParser | ( | FieldParser const & | orig | ) |
| private

## Member Function Documentation

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( |  | ) | const
| inline virtual

return the debug name corresponding to a zone

Referenced by RagTime5Parser::readStructData(), and RagTime5Parser::readStructZone().

virtual std::string RagTime5StructManager::FieldParser::getZoneName | ( | int | n | ) | const
| inline virtual

return the debug name corresponding to a field

Reimplemented in RagTime5GraphInternal::FieldParser, and RagTime5TextInternal::FieldParser.

FieldParser& RagTime5StructManager::FieldParser::operator= | ( | FieldParser const & | orig | ) |
| private

virtual bool RagTime5StructManager::FieldParser::parseField | ( | Field & | field,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inline virtual

parse a field

Reimplemented in RagTime5GraphInternal::FieldParser, RagTime5TextInternal::FieldParser, and RagTime5ParserInternal::DocInfoFieldParser.

Referenced by RagTime5Parser::readStructData().

## Member Data Documentation

std::string RagTime5StructManager::FieldParser::m_name
| protected

the field name

Referenced by getZoneName().

bool RagTime5StructManager::FieldParser::m_regroupFields

a flag use to decide if we output one debug message by field or not

Referenced by RagTime5GraphInternal::FieldParser::FieldParser(), and RagTime5Parser::readStructData().

The documentation for this struct was generated from the following file:

- RagTime5StructManager.hxx